MWAWChart::TextZone Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MWAWChart::TextZone Struct Reference

a text zone a chart More...

`#include <MWAWChart.hxx>`

## Public Types
enum | Type { T_Title, T_SubTitle, T_AxisX, T_AxisY, T_AxisZ }
| the text type More...
enum | ContentType { C_Cell, C_Text }
| the text content type More...

## Public Member Functions
| TextZone ()
| constructor More...
| ~TextZone ()
| destructor More...
void | addContentTo (std::string const &sheetName, librevenge::RVNGPropertyList &propList) const
| add content to the propList More...
void | addStyleTo (librevenge::RVNGPropertyList &propList, shared_ptr< MWAWFontConverter > fontConverter) const
| add to the propList More...

## Public Attributes
Type | m_type
| the zone type More...
ContentType | m_contentType
| the content type More...
MWAWVec2f | m_position
| the position in the zone More...
MWAWVec2i | m_cell
| the cell position ( for title and subtitle ) More...
MWAWEntry | m_textEntry
| the text entry More...
MWAWFont | m_font
| the zone format More...
MWAWGraphicStyle | m_style
| the graphic style More...

## Friends
std::ostream & | operator<< (std::ostream &o, TextZone const &zone)
| operator<< More...

## Detailed Description

a text zone a chart

## Member Enumeration Documentation

enum MWAWChart::TextZone::ContentType

the text content type

Enumerator
C_Cell |
C_Text |

enum MWAWChart::TextZone::Type

the text type

Enumerator
T_Title |
T_SubTitle |
T_AxisX |
T_AxisY |
T_AxisZ |

## Constructor & Destructor Documentation

MWAWChart::TextZone::TextZone | ( |  | ) |

constructor

MWAWChart::TextZone::~TextZone | ( |  | ) |

destructor

## Member Function Documentation

void MWAWChart::TextZone::addContentTo | ( | std::string const & | sheetName,
|  | librevenge::RVNGPropertyList & | propList
| ) |  | const

add content to the propList

Referenced by MWAWChart::sendChart().

void MWAWChart::TextZone::addStyleTo | ( | librevenge::RVNGPropertyList & | propList,
|  | shared_ptr< MWAWFontConverter > | fontConverter
| ) |  | const

add to the propList

Referenced by MWAWChart::sendChart().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWChart::TextZone const & | zone
| ) |  |
| friend

operator<<

## Member Data Documentation

MWAWVec2i MWAWChart::TextZone::m_cell

the cell position ( for title and subtitle )

Referenced by operator<<().

ContentType MWAWChart::TextZone::m_contentType

the content type

Referenced by operator<<(), BeagleWksSSParser::readChart(), and MWAWChart::sendChart().

MWAWFont MWAWChart::TextZone::m_font

the zone format

Referenced by BeagleWksSSParserInternal::Chart::sendContent().

MWAWVec2f MWAWChart::TextZone::m_position

the position in the zone

Referenced by operator<<().

MWAWGraphicStyle MWAWChart::TextZone::m_style

the graphic style

Referenced by operator<<(), and TextZone().

MWAWEntry MWAWChart::TextZone::m_textEntry

the text entry

Referenced by BeagleWksSSParser::readChart(), and BeagleWksSSParserInternal::Chart::sendContent().

Type MWAWChart::TextZone::m_type

the zone type

Referenced by MWAWChart::add(), operator<<(), BeagleWksSSParser::readChart(), and MWAWChart::sendChart().

The documentation for this struct was generated from the following files:

- MWAWChart.hxx
- MWAWChart.cxx